# MongoDB::setWriteConcern

(PECL mongo >=1.5.0)

MongoDB::setWriteConcern — Set the write concern for this database

### Description

public MongoDB::setWriteConcern ( mixed `$w` [, int `$wtimeout` ] ) : bool

### Parameters

`w`

  The write concern. This may be an integer denoting the number of servers required to acknowledge the write, or a string mode (e.g. "majority").

`wtimeout`

  The maximum number of milliseconds to wait for the server to satisfy the write concern.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### Errors/Exceptions

Emits `E_WARNING` if the w parameter is not an integer or string value.

### Examples

Example #1 MongoDB::setWriteConcern() example

`<?php
$mc = new MongoClient('mongodb://rs1.example.com,rs2.example.com');
$db = $mc->selectDB('test');
// Require that the majority of servers in the replica set acknowledge writes
// within three seconds.
$db->setWriteConcern('majority', 3000);
?>`

### See Also

- The write concern documentation.
- MongoDB::getWriteConcern() - Get the write concern for this database